PTHREAD_BARRIER_DESTROY(3)

NAME
pthread_barrier_destroy - destroy a barrier

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_barrier_destroy(pthread_barrier_t *barrier);

DESCRIPTION
The pthread_barrier_destroy() function causes the resources allocated to barrier to be released. No threads should be blocked on barrier.

RETURN VALUES
If successful, pthread_barrier_destroy() will return zero. Otherwise an error value will be returned.

ERRORS
pthread_barrier_destroy() may fail if:

[EINVAL]
    The value specified by barrier is invalid.

[EBUSY]
    The barrier still has active threads associated with it.

SEE ALSO
pthread_barrier_init(3), pthread_barrier_wait(3), pthread_barrierattr_destroy(3), pthread_barrierattr_init(3)

STANDARDS
pthread_barrier_destroy() conforms to p1003.1-2001.